=== tests/Makefile ===
DTC = ../dtc
VG_DTC = valgrind --tool=memcheck ../dtc

check: all
	./run_all_tests.sh

all:

clean:
	rm -f *~
