=== debian/watch ===
version=4
https://git.kernel.org/pub/scm/utils/dtc/dtc.git \
  .*/snapshot/dtc-@ANY_VERSION@@ARCHIVE_EXT@
