## device-tree-compiler 1.4.6

=== debian/changelog ===
device-tree-compiler (1.4.6-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release.
  * Drop patches applied upstream.
  * Update debian/watch:
    - Use tarballs downloaded from https://www.kernel.org/pub instead of
      generated tarballs from git tags.
    - Check signature of downloaded tarball. Thanks to Osamu Aoki.
  * Use debhelper compat level 11.
  * Update to Standards-Version 4.1.4, no changes needed.
  * Support "nodoc" in DEB_BUILD_PROFILES and DEB_BUILD_OPTIONS.
  * Make build more verbose.
  * Use dpkg buildflags.mk, passing CFLAGS and CPPFLAGS to build.

  [ Dima Kogan ]
  * Moved Vcs tags to point to salsa.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 26 Apr 2018 11:02:44 -0700
