=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.1.0
-Build-Depends: debhelper (>= 10), flex, bison, texlive, texlive-latex-extra
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), flex, bison, texlive <!nodoc>, texlive-latex-extra <!nodoc>
 Homepage: https://git.kernel.org/cgit/utils/dtc/dtc.git
-Vcs-Git: https://anonscm.debian.org/git/crosstoolchain/device-tree-compiler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/crosstoolchain/device-tree-compiler.git/
+Vcs-Git: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler.git
+Vcs-Browser: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler
 
 Package: device-tree-compiler
 Architecture: any
