## device-tree-compiler 1.4.7

=== debian/changelog ===
device-tree-compiler (1.4.7-4) buster; urgency=medium

  * Fix segfault on “dtc -I fs /proc/device-tree” by backporting
    9619c8619c, first released in 1.5.0 (Closes: #981033). With huge
    thanks to Uwe Kleine-König for the debugging and general guidance:
     - 03-Kill-bogus-TYPE_BLOB-marker-type.patch
  * Adjust gbp configuration for the buster branch.

 -- Cyril Brulebois <cyril@debamax.com>  Wed, 27 Jan 2021 19:53:55 +0100

device-tree-compiler (1.4.7-3) unstable; urgency=medium

  * Add Build-Depends on pkg-config, which is used to check for valgrind.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 11 Sep 2018 00:51:07 -0700

device-tree-compiler (1.4.7-2) unstable; urgency=medium

  * Add patch from upstream making valgrind optional.
  * Only Build-Depend on valgrind for architectures where valgrind is
    available.
  * Update Standards-Version to 4.2.1, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 10 Sep 2018 23:11:53 -0700

device-tree-compiler (1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Build-Depends on valgrind, used in tests.
    - Add Rules-Requires-Root: no.
    - Update Standards-Version to 4.2.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 16 Aug 2018 13:38:37 -0700
