=== debian/control ===
--- 
+++ 
@@ -3,8 +3,15 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11), flex, bison, texlive <!nodoc>, texlive-latex-extra <!nodoc>
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
+ flex,
+ bison,
+ pkg-config,
+ texlive <!nodoc>,
+ texlive-latex-extra <!nodoc>,
+ valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+Rules-Requires-Root: no
 Homepage: https://git.kernel.org/cgit/utils/dtc/dtc.git
 Vcs-Git: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler.git
 Vcs-Browser: https://salsa.debian.org/crosstoolchain-team/device-tree-compiler
