=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
  flex,
  bison,
+ libyaml-dev,
  pkg-config,
  texlive <!nodoc>,
  texlive-latex-extra <!nodoc>,
