=== debian/changelog ===
device-tree-compiler (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright.
  * Remove patch applied upstream: Update-version.lds-again.patch

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 14 Sep 2019 09:24:37 -0400

device-tree-compiler (1.5.0-2) unstable; urgency=medium

  * Add patch from upstream to add missing exported functions. Thanks to
    Christian Ehrhardt. (Closes: #931046)
  * debian/control: Update Standards-Version to 4.4.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Jul 2019 13:22:53 -0700
