## device-tree-compiler 1.6.0

=== debian/changelog ===
device-tree-compiler (1.6.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 29 Dec 2020 23:42:08 +0300

device-tree-compiler (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standards version, no changes

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 04 Mar 2020 10:54:43 +0100
