=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.4.0
+Uploaders: Riku Voipio <riku.voipio@linaro.org>, Vagrant Cascadian <vagrant@debian.org>,
+	Michael Tokarev <mjt@tls.msk.ru>
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
  flex,
  bison,
