=== debian/changelog ===
device-tree-compiler (1.6.1-2ubuntu1) kinetic; urgency=medium

  * d/rules: Fix FTBFS by adding pkg-info.mk (LP: #1992180)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 07 Oct 2022 22:02:30 +0100

device-tree-compiler (1.6.1-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Enable pylibfdt build (Closes: #877125)
  * Create bin pkg python3-libfdt (Closes: #1011282)

  [ Héctor Orón Martínez ]
  * debian/control: thank Riku for all. (Closes: #1001563)
  * debian/rules: remove egg-info upon clean

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 01:35:38 +0200

device-tree-compiler (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Fix duplicate entries in tests/*.dts.
  * debian/control: Update to Standards Version 4.6.0, no changes needed.
  * debian/control: Update debhelper-compat to 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 05 Jan 2022 20:08:30 -0800
