## device-tree-compiler 1.7.0

=== debian/changelog ===
device-tree-compiler (1.7.0-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:48 +0200

device-tree-compiler (1.7.0-2) unstable; urgency=medium

  * debian/patches/fix-tests-for-Python3.12.patch: new patch
    (Closes: #1061318)

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 30 Jan 2024 17:49:08 +0100

device-tree-compiler (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 03 Aug 2023 14:11:49 +0200

device-tree-compiler (1.6.1-4) unstable; urgency=medium

  * debian/rules: Pass default CFLAGS via EXTRA_CFLAGS. (Closes: #1021893)
    Fixes reproducible builds with differing build paths.
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 16 Oct 2022 14:10:24 -0700

device-tree-compiler (1.6.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Dave Jones ]
  * d/rules: Fix FTBFS; DEB_VERSION_UPSTREAM is blank without pkg-info.mk
    (Closes: #1015024)

  [ Héctor Orón Martínez ]
  * debian/rules: fix syntax in clean func
  * debian/gbp.conf: we do not have pristine-tar branch
    (Closes: #1010064)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 23:04:01 +0200
