=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  flex,
@@ -48,6 +48,7 @@
 Architecture: any
 Section: libdevel
 Depends: libfdt1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: Flat Device Trees manipulation library - development files
  This is a library containing functions for manipulating Flat Device Trees.
  .
