=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 endif
 
 include /usr/share/dpkg/buildflags.mk
-EXTRA_CFLAGS = -Wno-error
+EXTRA_CFLAGS = $(CFLAGS) -Wno-error
 CPPFLAGS += -I libfdt -I .
 
 %:
@@ -35,4 +35,4 @@
 	dh_auto_clean
 	[ ! -f Documentation/Makefile ] || $(MAKE) -C Documentation clean
 	[ ! -d build ] || rm -rf build
-	[ ! -d pylibfdt/libfdt.egg-info/] || rm -rf pylibfdt/libfdt.egg-info/
+	[ ! -d pylibfdt/libfdt.egg-info/ ] || rm -rf pylibfdt/libfdt.egg-info/
